后端安装到pip3 install -r requirements.txt报错

发布于 2023-04-27 09:55:59

后端安装pip3 install -r requirements.txt 报下面的错误:

note: This error originates from a subprocess, and is likely not a problem with pip.
ERROR: Failed building wheel for ruamel.yaml.clib
Failed to build ruamel.yaml.clib
ERROR: Could not build wheels for ruamel.yaml.clib, which is required to install pyproject.toml-based projects

请问怎么解决

查看更多

关注者
0
被浏览
1.1k
1 个回答
Shiyu
Shiyu 2023-08-30
This guy hasn't written anything yet

这个是因为requirements.txt中的ruamel.yaml.clib==0.2.4版本太旧导致的。

查看ruamel.yaml.clib的最新版本:https://pypi.org/project/ruamel.yaml.clib/
image.png

从官网看到最新版本已经0.2.7

故将requirements.txt中的ruamel.yaml.clib的版本更新为0.2.7再次pip install -r requirements.txt 安装即可

撰写答案

请登录后再发布答案,点击登录

发布
问题

分享
好友

手机
浏览

扫码手机浏览